#
# spec file for package mysql-xml-to-csv
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mysql-xml-to-csv
Version:        1.0.1
Release:        1.4
Summary:        Convert MySQL XML output to CSV
License:        Apache-2.0
Group:          Productivity/Databases/Tools
URL:            https://github.com/archiecobbs/%{name}
Source:         %{name}-%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  libexpat-devel
BuildRequires:  make

%description
%{name} converts MySQL XML query results (i.e., produced using
the mysql(1) command when given the --xml flag) into a CSV file.

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install
install -d %{buildroot}%{_docdir}/%{name}
rm -rf %{buildroot}%{_docdir}/%{name}/INSTALL

%files
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0644,root,root) %{_mandir}/man1/%{name}.1.gz
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}

%changelog
* Tue Sep 17 2024 Archie Cobbs <archie.cobbs@gmail.com>
- Update to release 1.0.1.
  + Added "-s" flag to specify alternate column separator
  + Added "-E" flag to specify output if there are zero rows
  + Added "-n" flag to specify alternate value for NULL columns
* Mon Nov 22 2021 Archie Cobbs <archie.cobbs@gmail.com>
- Update _service file as instructed by robot
  - Set mode="localonly" for "obs_scm" service
  - Invoked "osc service localrun"
- Remove extraneous /var/lib directory from spec file
* Thu Sep  2 2021 Archie Cobbs <archie.cobbs@gmail.com>
- Initial release 1.0.0
